Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8220 - Default inetd.conf is lame
Summary: Default inetd.conf is lame
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netkit-base
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-05 23:28 UTC by Ed Swierk
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-06 15:52:20 UTC


Attachments (Terms of Use)

Description Ed Swierk 2000-01-05 23:28:20 UTC
The inetd.conf included in RH 6.1 includes entries for only telnet, finger,
auth and daytime.  From a usability perspective, this is a big step
backward from the previous version.

Ideally linuxconf would handle inetd configuration, but at the very least,
useful services like ftp, pop and imap should be included (but commented
out) in the default inetd.conf.

Comment 1 Jeff Johnson 2000-01-06 15:52:59 UTC
The default inetd.conf in Red Hat Linux is deliberately minimalistic to decrease
the exposure to security problems (e.g. buffer overflow exploits in network
daemons).


Note You need to log in before you can comment on or make changes to this bug.